#ifndef AINetworkVertexSelection_h
#define AINetworkVertexSelection_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif
#include <Map/MapSelection.h>

#include <Map/MapDeltaDraggable.h>
#include "AINetworkVertex.h"


class AINetworkVertexSelection: public MapSelection, public MapDeltaDraggable {
        
        DECLARE_CLASS(AINetworkVertexSelection)
        
public:
	AINetworkVertexSelection(MapSelectionManager* manager, AINetworkVertex* content);

        virtual ~AINetworkVertexSelection();
        
        virtual void ProvideActionMenuForClass(wxMenu& actionMenu, wxClassInfo* targetClass);
        
        virtual void StartDrag(Point3D currentPosition) { MapDeltaDraggable::StartDrag(currentPosition); }
        
        virtual void Drag(Point3D currentPosition) { MapDeltaDraggable::Drag(currentPosition); }
        
        virtual void DeltaDrag(Point3D delta);
        
        virtual void ProvidePropertiesForClass(wxPropertyGrid* propgrid, wxClassInfo* targetClass);
        
        virtual void UpdatePropertiesForClass(wxPropertyGrid* propgrid, wxClassInfo* targetClass);
        
        virtual void MarkDifferingPropertiesForClass(wxPropertyGrid* propgrid, wxClassInfo* targetClass, MapSelection* firstSelection);
        
        virtual void UpdateObjectFromProperty(wxPGProperty* property);

        AINetworkVertex* GetContent() const { return wxDynamicCast(MapSelection::GetContent(),AINetworkVertex); }
protected:
        Point3D _lastDragPosition;
};

#endif


