#ifndef RunwaySelectionLengthHandle_h
#define RunwaySelectionLengthHandle_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif
#include "PavementSelectionSideHandle.h"

#include "RunwayMapObject.h"
#include "RunwaySelection.h"

class RunwaySelectionLengthHandle: public PavementSelectionSideHandle {
        
        DECLARE_CLASS(RunwaySelectionLengthHandle)
        
public:
        typedef enum {
                EndType_RunwayEnd,
                EndType_StopwayEnd,
                EndType_Threshold
        } EndType;
	RunwaySelectionLengthHandle(RunwaySelection* selection, int end, EndType endtype);
        virtual ~RunwaySelectionLengthHandle();
        
        virtual void StartDrag(Point3D currentPosition);
        
        virtual void Drag(Point3D currentPosition);
        
        virtual wxString EndDrag();
        
        /* Add actions to the actions menu. */
        virtual void ProvideActionMenu(wxMenu& actionMenu);
        
        RunwaySelection* GetSelection() const { return wxDynamicCast(PavementSelectionSideHandle::GetSelection(),RunwaySelection); }
protected:
        const Point3D* GetCorners();
        
        int _end;
        EndType _endtype;
        
        RunwayMapObject::RunwayEndData _thisend,_otherend;
        double _swyendpos2,_threshpos2,_threshpos1,_swyendpos1,_endpos1;
};

#endif

