#ifndef PreferenceDialog_h
#define PreferenceDialog_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <wx/propdlg.h>

class PreferenceDialog: public wxPropertySheetDialog {
        
        DECLARE_CLASS(PreferenceDialog)
        
public:
        PreferenceDialog();
	PreferenceDialog(wxWindow* parent,
                                wxWindowID id,
                                const wxString& title,
                                const wxPoint& pos = wxDefaultPosition,
                                const wxSize& size = wxDefaultSize,
                                long style = wxDEFAULT_DIALOG_STYLE,
                                const wxString& name = wxT("dialogBox"));
        virtual ~PreferenceDialog();
        
        bool Create(wxWindow* parent,
                                wxWindowID id,
                                const wxString& title,
                                const wxPoint& pos = wxDefaultPosition,
                                const wxSize& size = wxDefaultSize,
                                long style = wxDEFAULT_DIALOG_STYLE,
                                const wxString& name = wxT("dialogBox"));
        
        virtual bool TransferDataToWindow();
        virtual bool TransferDataFromWindow();
        
        void OnColourBrowse(wxCommandEvent& evt);
        void OnUseProxy(wxCommandEvent& evt);
        void OnXPlanePathBrowse(wxCommandEvent& evt);
        void OnUSGSImagePathBrowse(wxCommandEvent& evt);
        void OnFGFSPathBrowse(wxCommandEvent& evt);
        void OnFGFSSceneryBrowse(wxCommandEvent& evt);
protected:
        wxChoice *_boxSelectionModus;
        wxButton *_mapBackgroundColourButton;
        wxButton *_selectionHandleColourButton;
        wxButton *_selectionMarkingColourButton;
        wxTextCtrl *_aiArcWidth;
        wxTextCtrl *_aiNodeRadius;
        
        wxTextCtrl *_xplaneImportPath;
        wxButton *_xplaneImportPathBrowse;
        
        wxTextCtrl* _usgsImagePath;
        wxButton* _usgsImagePathBrowse;
        wxCheckBox* _useProxyCtrl;
        wxStaticText* _httpProxyNameLabel;
        wxTextCtrl* _httpProxyName;
        wxStaticText* _httpProxyPortLabel;
        wxTextCtrl* _httpProxyPort;
        
        wxTextCtrl *_fgfsDataPath;
        wxButton *_fgfsDataPathBrowse;

        wxTextCtrl *_fgfsSceneryPath;
        wxButton *_fgfsSceneryPathBrowse;

private:
        DECLARE_EVENT_TABLE()
};

#endif

