#ifndef ProjectWizard_h
#define ProjectWizard_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#include <wx/wizard.h>
#endif

#include "ProjectWizardTypePage.h"
#include "ProjectWizardNewAirportPage.h"
#include "ProjectWizardNewProjectPage.h"
#include "ProjectWizardOpenProjectPage.h"

class ProjectWizard: public wxWizard {
        
        DECLARE_CLASS(ProjectWizard)
        
public:
	ProjectWizard();
	ProjectWizard(wxWindow* parent,
                      int id = -1,
                      const wxString& title = wxEmptyString,
                      const wxBitmap& bitmap = wxNullBitmap,
                      const wxPoint& pos = wxDefaultPosition,
                      long style = wxDEFAULT_DIALOG_STYLE);
        virtual ~ProjectWizard();
        
        virtual bool Create(wxWindow* parent,
                            int id = -1,
                            const wxString& title = wxEmptyString,
                            const wxBitmap& bitmap = wxNullBitmap,
                            const wxPoint& pos = wxDefaultPosition,
                            long style = wxDEFAULT_DIALOG_STYLE);
        
        ProjectWizardTypePage* GetTypePage() const {
                return _typePage;
        }
        
        ProjectWizardNewAirportPage* GetNewAirportPage() const {
                return _newAirportPage;
        }
        
        ProjectWizardNewProjectPage* GetNewProjectPage() const {
                return _newProjectPage;
        }
        
        ProjectWizardOpenProjectPage* GetOpenProjectPage() const {
                return _openProjectPage;
        }
        
        void OnWizardFinished(wxWizardEvent& evt);
protected:
        void OpenExistingProject();
        
        ProjectWizardTypePage* _typePage;
        ProjectWizardNewAirportPage* _newAirportPage;
        ProjectWizardNewProjectPage* _newProjectPage;
        ProjectWizardOpenProjectPage* _openProjectPage;
        
        DECLARE_EVENT_TABLE();
};

#endif

