#ifndef SelectionMode_h
#define SelectionMode_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Map/Mode.h>
#include <Math/point3d.h>

class MapObject;

class SelectionMode : public Mode {
        
        DECLARE_CLASS(SelectionMode)
        
public:
	SelectionMode();
        
	virtual bool CanExit();
        
        void OnLeftButtonDown(wxMouseEvent& evt);
        void OnMouseMotion(wxMouseEvent& evt);
        void OnLeftButtonUp(wxMouseEvent& evt);
        void OnPaint(wxPaintEvent& evt);
        
        wxRect GetCurrentDeviceRectangle();
        
        static bool Include_Intersected;
private:
        DECLARE_EVENT_TABLE()
        
        bool _active;
        bool _mouseMoved;
        wxPoint _startPoint,_endPoint;
};

#endif


